Skip to main content
GET
/
api
/
data_shares
List gravitino-shared clients
curl --request GET \
  --url https://api.example.com/api/data_shares \
  --header 'Authorization: Bearer <token>'
{
  "clients": [
    {
      "id": "<string>",
      "client_id": "<string>",
      "name": "<string>",
      "enabled": true,
      "service_accounts_enabled": true,
      "secret": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

search
string | null

Search filter appended to gravitino-shared-.

page
integer
default:1

Page number.

Required range: x >= 1
page_size
integer
default:20

Items per page.

Required range: 1 <= x <= 100

Response

List of clients.

clients
ClientInfo · object[]
required
total
integer
required
page
integer
required
page_size
integer
required